using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ProxyCollider : MonoBehaviour
{

    public delegate void Collider2DDelegate(Collider2D other);

    public event Collider2DDelegate onTriggerEnter;
    public event Collider2DDelegate onTriggerExit;


    void OnTriggerEnter2D(Collider2D other)
    {
        if (onTriggerEnter != null)
        {
            onTriggerEnter(other);
        }
    }

    void OnTriggerExit2D(Collider2D other)
    {
        if (onTriggerExit != null)
        {
            onTriggerExit(other);
        }
    }
}
